Bug 280630 - kmail crashes at startup every time [Akonadi::EntityTreeModelPrivate::removeItems, Akonadi::EntityTreeModelPrivate::purgeItems, Akonadi::EntityTreeModel::setData]
Summary: kmail crashes at startup every time [Akonadi::EntityTreeModelPrivate::removeI...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 283768 284106 288314 292582 292842 294028 299539 300006 302621 303621 304488 313509 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-23 09:02 UTC by Hartmut Manz
Modified: 2017-01-08 00:07 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (18.88 KB, text/plain)
2012-02-17 07:56 UTC, Sven Eden
Details
New crash information added by DrKonqi (11.40 KB, text/plain)
2012-03-24 14:19 UTC, Rolf Eike Beer
Details
New crash information added by DrKonqi (8.46 KB, text/plain)
2012-08-26 15:43 UTC, Matthias
Details
kmail crash shell information (27.44 KB, text/plain)
2012-08-27 18:10 UTC, Matthias
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hartmut Manz 2011-08-23 09:02:53 UTC
Application: kmail (4.7.0 )
KDE Platform Version: 4.7.00 (4.7.0)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-11-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:

I have been running kamil once sucessfully. 
After a restart I was not able to run it again.
It failes during startup.
I have the same problem with kamil and kontact

- Custom settings of the application:
I have several IMAP acconts on different servers

The crash can be reproduced every time.

-- Backtrace:
Application: KMail (kmail), signal: Aborted
[Current thread is 1 (Thread 0x7f59289187a0 (LWP 10389))]

Thread 4 (Thread 0x7f590af96700 (LWP 10394)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f591ac39832 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007f59238b4d8c in start_thread (arg=0x7f590af96700) at pthread_create.c:304
#3  0x00007f5925d0504d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f5907b25700 (LWP 10395)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f5925c9d80f in _L_lock_12013 () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f5925c9b8d8 in __libc_free (mem=0x7f5925fae1c0) at malloc.c:3736
#3  0x00007f591e5889b4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f59266557aa in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x17faa80, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:373
#5  0x00007f59266558f9 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x17faa80, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:401
#6  0x00007f59265424d4 in QThreadPrivate::finish (arg=0x1783170) at thread/qthread_unix.cpp:356
#7  0x00007f592654317d in ~__pthread_cleanup_class (arg=0x1783170) at /usr/include/pthread.h:545
#8  QThreadPrivate::start (arg=0x1783170) at thread/qthread_unix.cpp:279
#9  0x00007f59238b4d8c in start_thread (arg=0x7f5907b25700) at pthread_create.c:304
#10 0x00007f5925d0504d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f5905624700 (LWP 10396)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f5925c9d80f in _L_lock_12013 () from /lib/x86_64-linux-gnu/libc.so.6
#2  0x00007f5925c9b8d8 in __libc_free (mem=0x7f5925fae1c0) at malloc.c:3736
#3  0x00007f5926654e57 in socketNotifierSourceCheck (source=0x1a9c330) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007f591e58c854 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f591e58d122 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f591e58d639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f59266553ef in QEventDispatcherGlib::processEvents (this=0x1a9c1a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#8  0x00007f5926629882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f5926629abc in QEventLoop::exec (this=0x7f5905623db0, flags=...) at kernel/qeventloop.cpp:201
#10 0x00007f5926540924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#11 0x00007f592660bc2f in QInotifyFileSystemWatcherEngine::run (this=0x1a9b5f0) at io/qfilesystemwatcher_inotify.cpp:248
#12 0x00007f5926543175 in QThreadPrivate::start (arg=0x1a9b5f0) at thread/qthread_unix.cpp:320
#13 0x00007f59238b4d8c in start_thread (arg=0x7f5905624700) at pthread_create.c:304
#14 0x00007f5925d0504d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f59289187a0 (LWP 10389)):
[KCrash Handler]
#6  0x00007f5925c52d05 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f5925c56ab6 in abort () at abort.c:92
#8  0x00007f5925c8bd7b in __libc_message (do_abort=2, fmt=0x7f5925d74400 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007f5925c97a8f in malloc_printerr (av=<value optimized out>, p=0x23e0c00) at malloc.c:6283
#10 _int_free (av=<value optimized out>, p=0x23e0c00) at malloc.c:4795
#11 0x00007f5925c9b8e3 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#12 0x00007f59227f1af8 in Akonadi::EntityTreeModelPrivate::removeItems (this=<value optimized out>, it=..., end=<value optimized out>, pos=0x7ffff20970dc, collection=...) at ../../akonadi/entitytreemodel_p.cpp:1486
#13 0x00007f59227f1c45 in Akonadi::EntityTreeModelPrivate::purgeItems (this=0x97b8e0, id=10) at ../../akonadi/entitytreemodel_p.cpp:1506
#14 0x00007f59227e972d in Akonadi::EntityTreeModel::setData (this=0xda5c60, index=..., value=..., role=53) at ../../akonadi/entitytreemodel.cpp:729
#15 0x00007f59270b110d in QSortFilterProxyModel::setData (this=<value optimized out>, index=..., value=..., role=53) at itemviews/qsortfilterproxymodel.cpp:1727
#16 0x00007f59270b110d in QSortFilterProxyModel::setData (this=<value optimized out>, index=..., value=..., role=53) at itemviews/qsortfilterproxymodel.cpp:1727
#17 0x00007f59270b110d in QSortFilterProxyModel::setData (this=<value optimized out>, index=..., value=..., role=53) at itemviews/qsortfilterproxymodel.cpp:1727
#18 0x00007f59270b0119 in QAbstractProxyModel::setData (this=<value optimized out>, index=<value optimized out>, value=..., role=53) at itemviews/qabstractproxymodel.cpp:267
#19 0x00007f59270b110d in QSortFilterProxyModel::setData (this=<value optimized out>, index=..., value=..., role=53) at itemviews/qsortfilterproxymodel.cpp:1727
#20 0x00007f59270b110d in QSortFilterProxyModel::setData (this=<value optimized out>, index=..., value=..., role=53) at itemviews/qsortfilterproxymodel.cpp:1727
#21 0x00007f59270b110d in QSortFilterProxyModel::setData (this=<value optimized out>, index=..., value=..., role=53) at itemviews/qsortfilterproxymodel.cpp:1727
#22 0x00007f5922852c94 in rootIndexAboutToBeRemoved (this=0x14db420, _c=<value optimized out>, _id=1, _a=0x7ffff2097860) at ../../akonadi/selectionproxymodel.cpp:59
#23 Akonadi::SelectionProxyModel::qt_metacall (this=0x14db420, _c=<value optimized out>, _id=1, _a=0x7ffff2097860) at ./selectionproxymodel.moc:76
#24 0x00007f59228039aa in Akonadi::FavoriteCollectionsModel::qt_metacall (this=0x14db420, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2097860) at ./favoritecollectionsmodel.moc:81
#25 0x00007f592663f5f8 in QMetaObject::activate (sender=0x14db420, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff2097860) at kernel/qobject.cpp:3287
#26 0x00007f592832a212 in KSelectionProxyModel::rootIndexAboutToBeRemoved (this=<value optimized out>, _t1=<value optimized out>) at ./moc_kselectionproxymodel.cpp:147
#27 0x00007f592832d902 in KSelectionProxyModelPrivate::sourceLayoutAboutToBeChanged (this=0x14e5f80) at ../../kdeui/itemviews/kselectionproxymodel.cpp:726
#28 0x00007f592833624e in KSelectionProxyModel::qt_metacall (this=0x14db420, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2097b40) at ./moc_kselectionproxymodel.cpp:131
#29 0x00007f5922852ba5 in Akonadi::SelectionProxyModel::qt_metacall (this=0x14db420, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2097b40) at ./selectionproxymodel.moc:70
#30 0x00007f59228039aa in Akonadi::FavoriteCollectionsModel::qt_metacall (this=0x14db420, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2097b40) at ./favoritecollectionsmodel.moc:81
#31 0x00007f592663f5f8 in QMetaObject::activate (sender=0x11043f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#32 0x00007f59270b7c1b in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x13f0300, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1157
#33 0x00007f59270b906b in QSortFilterProxyModel::qt_metacall (this=0x11043f0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffff2097e30) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:128
#34 0x00007f5921a12888 in MailCommon::EntityCollectionOrderProxyModel::qt_metacall (this=0x11043f0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=<value optimized out>) at ./entitycollectionorderproxymodel.moc:70
#35 0x00007f592663f5f8 in QMetaObject::activate (sender=0x13efb90, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff2097e30) at kernel/qobject.cpp:3287
#36 0x00007f5926685df7 in QAbstractItemModel::dataChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qabstractitemmodel.cpp:148
#37 0x00007f59270b7882 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x13efbb0, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1191
#38 0x00007f59270b906b in QSortFilterProxyModel::qt_metacall (this=0x13efb90, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffff20980b0) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:128
#39 0x00007f5928307840 in KRecursiveFilterProxyModel::qt_metacall (this=0x13efb90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff20980b0) at ./krecursivefilterproxymodel.moc:78
#40 0x00007f5926632f4b in QMetaMethod::invoke (this=0x7ffff2098300, object=0x13efb90, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
#41 0x00007f5926633ba8 in QMetaObject::invokeMethod (obj=0x13efb90, member=<value optimized out>, type=Qt::DirectConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1151
#42 0x00007f5928306b4b in invokeMethod (this=0x13efe00, source_top_left=..., source_bottom_right=...) at /usr/include/qt4/QtCore/qobjectdefs.h:408
#43 invokeDataChanged (this=0x13efe00, source_top_left=..., source_bottom_right=...) at ../../kdeui/itemviews/krecursivefilterproxymodel.cpp:55
#44 KRecursiveFilterProxyModelPrivate::sourceDataChanged (this=0x13efe00, source_top_left=..., source_bottom_right=...) at ../../kdeui/itemviews/krecursivefilterproxymodel.cpp:131
#45 0x00007f5928307936 in KRecursiveFilterProxyModel::qt_metacall (this=0x13efb90, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2098810) at ./krecursivefilterproxymodel.moc:83
#46 0x00007f592663f5f8 in QMetaObject::activate (sender=0x10fa010, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff2098810) at kernel/qobject.cpp:3287
#47 0x00007f5926685df7 in QAbstractItemModel::dataChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qabstractitemmodel.cpp:148
#48 0x00007f59270b7882 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x13b42d0, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1191
#49 0x00007f59270b906b in QSortFilterProxyModel::qt_metacall (this=0x10fa010, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffff2098a90) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:128
#50 0x00007f5928307840 in KRecursiveFilterProxyModel::qt_metacall (this=0x10fa010, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2098a90) at ./krecursivefilterproxymodel.moc:78
#51 0x00007f5926632f4b in QMetaMethod::invoke (this=0x7ffff2098ce0, object=0x10fa010, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
#52 0x00007f5926633ba8 in QMetaObject::invokeMethod (obj=0x10fa010, member=<value optimized out>, type=Qt::DirectConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1151
#53 0x00007f5928306b4b in invokeMethod (this=0x13b4520, source_top_left=..., source_bottom_right=...) at /usr/include/qt4/QtCore/qobjectdefs.h:408
#54 invokeDataChanged (this=0x13b4520, source_top_left=..., source_bottom_right=...) at ../../kdeui/itemviews/krecursivefilterproxymodel.cpp:55
#55 KRecursiveFilterProxyModelPrivate::sourceDataChanged (this=0x13b4520, source_top_left=..., source_bottom_right=...) at ../../kdeui/itemviews/krecursivefilterproxymodel.cpp:131
#56 0x00007f5928307936 in KRecursiveFilterProxyModel::qt_metacall (this=0x10fa010, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff20991f0) at ./krecursivefilterproxymodel.moc:83
#57 0x00007f592663f5f8 in QMetaObject::activate (sender=0x111d010, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff20991f0) at kernel/qobject.cpp:3287
#58 0x00007f5926685df7 in QAbstractItemModel::dataChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qabstractitemmodel.cpp:148
#59 0x00007f5928304637 in KIdentityProxyModelPrivate::_k_sourceDataChanged (this=<value optimized out>, topLeft=..., bottomRight=<value optimized out>) at ../../kdeui/itemviews/kidentityproxymodel.cpp:572
#60 0x00007f5928305876 in KIdentityProxyModel::qt_metacall (this=0x111d010, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2099360) at ./kidentityproxymodel.moc:128
#61 0x00007f592663f5f8 in QMetaObject::activate (sender=0x1399af0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff2099360) at kernel/qobject.cpp:3287
#62 0x00007f5926685df7 in QAbstractItemModel::dataChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qabstractitemmodel.cpp:148
#63 0x00007f59270b7882 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x1399b10, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1191
#64 0x00007f59270b906b in QSortFilterProxyModel::qt_metacall (this=0x1399af0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffff2099630) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:128
#65 0x00007f59228839f0 in Akonadi::StatisticsProxyModel::qt_metacall (this=0x1399af0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff2099630) at ./statisticsproxymodel.moc:72
#66 0x00007f592663f5f8 in QMetaObject::activate (sender=0x1113bb0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff2099630) at kernel/qobject.cpp:3287
#67 0x00007f5926685df7 in QAbstractItemModel::dataChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qabstractitemmodel.cpp:148
#68 0x00007f59270b7882 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x139a250, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1191
#69 0x00007f59270b906b in QSortFilterProxyModel::qt_metacall (this=0x1113bb0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffff20998b0) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:128
#70 0x00007f5928307840 in KRecursiveFilterProxyModel::qt_metacall (this=0x1113bb0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff20998b0) at ./krecursivefilterproxymodel.moc:78
#71 0x00007f5926632f4b in QMetaMethod::invoke (this=0x7ffff2099b00, object=0x1113bb0, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
#72 0x00007f5926633ba8 in QMetaObject::invokeMethod (obj=0x1113bb0, member=<value optimized out>, type=Qt::DirectConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1151
#73 0x00007f5928306b4b in invokeMethod (this=0x1077d70, source_top_left=..., source_bottom_right=...) at /usr/include/qt4/QtCore/qobjectdefs.h:408
#74 invokeDataChanged (this=0x1077d70, source_top_left=..., source_bottom_right=...) at ../../kdeui/itemviews/krecursivefilterproxymodel.cpp:55
#75 KRecursiveFilterProxyModelPrivate::sourceDataChanged (this=0x1077d70, source_top_left=..., source_bottom_right=...) at ../../kdeui/itemviews/krecursivefilterproxymodel.cpp:131
#76 0x00007f5928307936 in KRecursiveFilterProxyModel::qt_metacall (this=0x1113bb0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff209a010) at ./krecursivefilterproxymodel.moc:83
#77 0x00007f592663f5f8 in QMetaObject::activate (sender=0xef66b0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff209a010) at kernel/qobject.cpp:3287
#78 0x00007f5926685df7 in QAbstractItemModel::dataChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qabstractitemmodel.cpp:148
#79 0x00007f59270b7882 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=0x97ce50, source_top_left=..., source_bottom_right=...) at itemviews/qsortfilterproxymodel.cpp:1191
#80 0x00007f59270b906b in QSortFilterProxyModel::qt_metacall (this=0xef66b0, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0x7ffff209a2b0) at .moc/release-shared/moc_qsortfilterproxymodel.cpp:128
#81 0x00007f592663f5f8 in QMetaObject::activate (sender=0xda5c60, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff209a2b0) at kernel/qobject.cpp:3287
#82 0x00007f5926685df7 in QAbstractItemModel::dataChanged (this=<value optimized out>, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qabstractitemmodel.cpp:148
#83 0x00007f59227ee404 in Akonadi::EntityTreeModelPrivate::dataChanged (this=<value optimized out>, top=..., bottom=...) at ../../akonadi/entitytreemodel_p.cpp:1525
#84 0x00007f59227f56a8 in Akonadi::EntityTreeModelPrivate::fetchJobDone (this=0x97b8e0, job=0x17eabe0) at ../../akonadi/entitytreemodel_p.cpp:1197
#85 0x00007f59227e25eb in Akonadi::EntityTreeModel::qt_metacall (this=0xda5c60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff209a570) at ./entitytreemodel.moc:145
#86 0x00007f592663f5f8 in QMetaObject::activate (sender=0x17eabe0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7ffff209a570) at kernel/qobject.cpp:3287
#87 0x00007f5927d7fdb2 in KJob::result (this=<value optimized out>, _t1=0x17eabe0) at ./kjob.moc:194
#88 0x00007f5927d7fdf0 in KJob::emitResult (this=0x17eabe0) at ../../kdecore/jobs/kjob.cpp:312
#89 0x00007f592282aacd in Akonadi::Job::qt_metacall (this=0x17eabe0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x539fd50) at ./job.moc:91
#90 0x00007f59228196f5 in Akonadi::ItemFetchJob::qt_metacall (this=0x17eabe0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x539fd50) at ./itemfetchjob.moc:73
#91 0x00007f592663e49a in QObject::event (this=0x17eabe0, e=<value optimized out>) at kernel/qobject.cpp:1226
#92 0x00007f5926b189f4 in QApplicationPrivate::notify_helper (this=0x897260, receiver=0x17eabe0, e=0x587da10) at kernel/qapplication.cpp:4462
#93 0x00007f5926b1d3ba in QApplication::notify (this=<value optimized out>, receiver=0x17eabe0, e=0x587da10) at kernel/qapplication.cpp:4341
#94 0x00007f5928345796 in KApplication::notify (this=0x7ffff209b060, receiver=0x17eabe0, event=0x587da10) at ../../kdeui/kernel/kapplication.cpp:311
#95 0x00007f592662a49c in QCoreApplication::notifyInternal (this=0x7ffff209b060, receiver=0x17eabe0, event=0x587da10) at kernel/qcoreapplication.cpp:731
#96 0x00007f592662dc25 in sendEvent (receiver=0x0, event_type=0, data=0x81fb30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#97 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x81fb30) at kernel/qcoreapplication.cpp:1372
#98 0x00007f5926655253 in sendPostedEvents (s=0x899d60) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#99 postEventSourceDispatch (s=0x899d60) at kernel/qeventdispatcher_glib.cpp:277
#100 0x00007f591e58cbcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#101 0x00007f591e58d3a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#102 0x00007f591e58d639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#103 0x00007f59266553ef in QEventDispatcherGlib::processEvents (this=0x81f310, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#104 0x00007f5926bc24de in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#105 0x00007f5926629882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#106 0x00007f5926629abc in QEventLoop::exec (this=0x7ffff209af30, flags=...) at kernel/qeventloop.cpp:201
#107 0x00007f592662decb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#108 0x0000000000403008 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../kmail/main.cpp:145

Possible duplicates by query: bug 278756, bug 278689, bug 277371, bug 277138, bug 275788.

Reported using DrKonqi
Comment 1 Christophe Giboudeaux 2011-10-11 09:16:49 UTC
*** Bug 283768 has been marked as a duplicate of this bug. ***
Comment 2 Christophe Giboudeaux 2011-10-15 16:05:21 UTC
*** Bug 284106 has been marked as a duplicate of this bug. ***
Comment 3 Christophe Giboudeaux 2011-12-06 09:55:45 UTC
*** Bug 288314 has been marked as a duplicate of this bug. ***
Comment 4 Christophe Giboudeaux 2012-01-30 22:21:16 UTC
*** Bug 292842 has been marked as a duplicate of this bug. ***
Comment 5 Christophe Giboudeaux 2012-01-30 22:21:36 UTC
*** Bug 292582 has been marked as a duplicate of this bug. ***
Comment 6 Christophe Giboudeaux 2012-02-17 00:20:50 UTC
*** Bug 294028 has been marked as a duplicate of this bug. ***
Comment 7 Sven Eden 2012-02-17 07:56:24 UTC
Created attachment 68866 [details]
New crash information added by DrKonqi

kontact (4.8.0) on KDE Platform 4.8.00 (4.8.0 using Qt 4.8.0

- What I was doing when the application crashed:

Started kontact as usual. Akonadi Server was up and running.

Note: All reports offered by DrKonqi which had titles looking related where marked as duplicates leading to this report. The Backtrace is different, I just followed the duplication leads.

-- Backtrace (Reduced):
#6  0x00007f14f51a2955 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f14f51a3dcb in __GI_abort () at abort.c:93
[...]
#9  0x00007f14f51e25e6 in malloc_printerr (action=3, str=0x7f14f52b9578 "double free or corruption (fasttop)", ptr=<optimized out>) at malloc.c:6283
#10 0x00007f14f51e64dc in __GI___libc_free (mem=<optimized out>) at malloc.c:3738
#11 0x00007f14f657efac in QString::free (d=0x1f33f60) at tools/qstring.cpp:1232
Comment 8 Rolf Eike Beer 2012-03-24 14:19:21 UTC
Created attachment 69852 [details]
New crash information added by DrKonqi

kontact (4.8.0) on KDE Platform 4.8.1 (4.8.1) "release 481" using Qt 4.8.0

The crash happened when Kontact was already running for a while. I had read some mails and clicked on a previously unread one which crashed it.

-- Backtrace (Reduced):
#11 0xb426c26a in Akonadi::EntityTreeModelPrivate::removeItems (this=0x85de6b0, it=..., end=..., pos=0xbfa8c0f0, collection=...) at /usr/src/debug/kdepimlibs-4.8.1/akonadi/entitytreemodel_p.cpp:1535
#12 0xb426c3d0 in Akonadi::EntityTreeModelPrivate::purgeItems (this=0x85de6b0, id=218) at /usr/src/debug/kdepimlibs-4.8.1/akonadi/entitytreemodel_p.cpp:1555
#13 0xb42ca45c in Akonadi::EntityTreeModel::setData (this=0x84b9db8, index=..., value=..., role=53) at /usr/src/debug/kdepimlibs-4.8.1/akonadi/entitytreemodel.cpp:735
#14 0xb42172ee in rootIndexAboutToBeRemoved (removedRootIndex=..., this=<optimized out>) at /usr/src/debug/kdepimlibs-4.8.1/akonadi/selectionproxymodel.cpp:59
#15 Akonadi::SelectionProxyModel::qt_static_metacall (_o=0x1268db28, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfa8c2d8) at /usr/src/debug/kdepimlibs-4.8.1/build/akonadi/selectionproxymodel.moc:53
Comment 9 Christophe Giboudeaux 2012-05-09 13:21:32 UTC
*** Bug 299539 has been marked as a duplicate of this bug. ***
Comment 10 Jekyll Wu 2012-07-03 09:14:40 UTC
*** Bug 302621 has been marked as a duplicate of this bug. ***
Comment 11 Jekyll Wu 2012-07-03 10:07:55 UTC
*** Bug 300006 has been marked as a duplicate of this bug. ***
Comment 12 Jekyll Wu 2012-07-16 18:59:36 UTC
*** Bug 303621 has been marked as a duplicate of this bug. ***
Comment 13 Sebastien Renard 2012-08-18 09:17:21 UTC
*** Bug 304488 has been marked as a duplicate of this bug. ***
Comment 14 Myriam Schweingruber 2012-08-18 21:43:09 UTC
Confirmed by many duplicates and reassiging to Akonadi
Comment 15 Matthias 2012-08-26 15:43:11 UTC
Created attachment 73483 [details]
New crash information added by DrKonqi

kmail (4.9) on KDE Platform 4.9.00 using Qt 4.8.2

- What I was doing when the application crashed:

Like the last time, kmail is crashing seconds after the startup while loading the IMAP-Accounts. Last time i could fix this with akonadctl fsck/vacuum/restart, but this time i'm not sure what i can do to reset the database without loosing all my custom settings.

-- Backtrace (Reduced):
#12 0x00007f97fb331a7d in Akonadi::EntityTreeModel::setData(QModelIndex const&, QVariant const&, int) () from /usr/lib64/libakonadi-kde.so.4
#13 0x00007f97fff75994 in QSortFilterProxyModel::setData(QModelIndex const&, QVariant const&, int) () from /usr/lib64/qt4/libQtGui.so.4
#14 0x00007f97fff744dc in QAbstractProxyModel::setData(QModelIndex const&, QVariant const&, int) () from /usr/lib64/qt4/libQtGui.so.4
#15 0x00007f97fff744dc in QAbstractProxyModel::setData(QModelIndex const&, QVariant const&, int) () from /usr/lib64/qt4/libQtGui.so.4
#16 0x00007f97fff75994 in QSortFilterProxyModel::setData(QModelIndex const&, QVariant const&, int) () from /usr/lib64/qt4/libQtGui.so.4
Comment 16 Matthias 2012-08-27 18:10:53 UTC
Created attachment 73512 [details]
kmail crash shell information
Comment 17 Jekyll Wu 2013-11-13 05:39:05 UTC
*** Bug 313509 has been marked as a duplicate of this bug. ***
Comment 18 Denis Kurz 2016-09-24 20:42:49 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 19 Ben Cooksley 2016-10-26 23:37:50 UTC
Removing user per abuse report.
Comment 20 Denis Kurz 2017-01-08 00:07:20 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.